Bug 999957 - Unable to run Gnome Boxes
Unable to run Gnome Boxes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 08:43 EDT by Paolo Leoni
Modified: 2015-02-17 11:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:52:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Leoni 2013-08-22 08:43:56 EDT
Description of problem:
Just run Gnome Boxes application and some seconds after it crash with this error (from terminal):

(gnome-boxes:14053): Libvirt.GObject-CRITICAL **: gvir_storage_vol_get_info: assertion `GVIR_IS_STORAGE_VOL(vol)' failed
Errore di segmentazione (core dumped)


Version-Release number of selected component (if applicable):
gnome-boxes.x86_64         3.8.4-2.fc19  

How reproducible:


Steps to Reproduce:
1. click on gnome boxes icon
2. wait 2-3 seconds
3. crash

Actual results:
application crash

Expected results:
application running

Additional info:
Comment 1 Christophe Fergeau 2013-08-23 04:14:56 EDT
Did you remove or do anything to ~/.local/share/gnome-boxes by any chance? Does gnome-boxes --checks report anything useful?
Comment 2 Paolo Leoni 2013-08-24 10:28:21 EDT
Just tried to apply your suggestion, without luck. 
Gnome Boxes is still crashing.
Comment 3 Paolo Leoni 2013-08-24 13:26:57 EDT
Getting this from /var/log/messages:

Aug 24 19:24:34 paolo-pc libvirtd[3322]: libvirt version: 1.0.5.5, package: 1.fc19 (Fedora Project, 2013-08-01-23:39:55, buildvm-09.phx2.fedoraproject.org)
Aug 24 19:24:34 paolo-pc [3322]: Failed to acquire pid file '/run/user/1000/libvirt/libvirtd.pid': Resource temporarily unavailable
Aug 24 19:24:36 paolo-pc gnome-session[1370]: (gnome-boxes:3306): Libvirt.GObject-CRITICAL **: gvir_storage_vol_get_info: assertion `GVIR_IS_STORAGE_VOL(vol)' failed
Aug 24 19:24:36 paolo-pc kernel: [  351.513384] gnome-boxes[3306]: segfault at 10 ip 00000000004750b0 sp 00007fff5ce37080 error 4 in gnome-boxes[400000+cd000]
Aug 24 19:24:37 paolo-pc abrtd: Directory 'ccpp-2013-08-24-19:24:36-3306' creation detected
Aug 24 19:24:37 paolo-pc abrt[3441]: Saved core dump of pid 3306 (/usr/bin/gnome-boxes) to /var/tmp/abrt/ccpp-2013-08-24-19:24:36-3306 (149704704 bytes)
Aug 24 19:24:37 paolo-pc abrtd: Can't load public GPG key /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
Aug 24 19:24:37 paolo-pc abrtd: Lock file '/var/tmp/abrt/ccpp-2013-08-07-19:52:44-9311/.lock' was locked by process 2867, but it crashed?
Aug 24 19:24:37 paolo-pc abrtd: Generating core_backtrace
Aug 24 19:24:37 paolo-pc abrtd: Generazione messaggi di backtrace in corso
Aug 24 19:24:38 paolo-pc libvirtd[3319]: libvirt version: 1.0.5.5, package: 1.fc19 (Fedora Project, 2013-08-01-23:39:55, buildvm-09.phx2.fedoraproject.org)
Aug 24 19:24:38 paolo-pc libvirtd[3319]: Cannot recv data: Connection reset by peer
Aug 24 19:24:38 paolo-pc libvirtd[3319]: Cannot recv data: Connection reset by peer
Aug 24 19:24:39 paolo-pc kernel: [  354.317936] abrt-handle-eve[3442]: segfault at 0 ip 00007f7c8d1b6e14 sp 00007fffe57c8730 error 4 in libsatyr.so.1.0.0[7f7c8d15d000+13e000]
Aug 24 19:24:39 paolo-pc abrt[3476]: Saved core dump of pid 3442 (/usr/libexec/abrt-handle-event) to /var/tmp/abrt/abrt-handle-event-coredump (1871872 bytes)
Aug 24 19:24:39 paolo-pc abrtd: 'post-create' on '/var/tmp/abrt/ccpp-2013-08-24-19:24:36-3306' killed by signal 11
Aug 24 19:24:39 paolo-pc abrtd: Deleting problem directory '/var/tmp/abrt/ccpp-2013-08-24-19:24:36-3306'
Comment 4 Christophe Fergeau 2013-08-26 06:18:50 EDT
Aug 24 19:24:34 paolo-pc [3322]: Failed to acquire pid file '/run/user/1000/libvirt/libvirtd.pid': Resource temporarily unavailable

I'm not sure this is expected...
I was not suggesting you remove these directories, I was asking you if you did that in the past as this could explain your issue.
Comment 5 Paolo Leoni 2013-08-26 08:17:09 EDT
Sorry for the misunderstanding. 
I've not removed it in the past, but now that files are removed.

Is Gnome Boxes capable to recreate it on start?

Btw, if I run it with root priviledges, it's ok.
Comment 6 Zeeshan Ali 2013-08-26 10:58:39 EDT
(In reply to Paolo Leoni from comment #5)
> Sorry for the misunderstanding. 
> I've not removed it in the past, but now that files are removed.
> 
> Is Gnome Boxes capable to recreate it on start?
> 
> Btw, if I run it with root priviledges, it's ok.

No, boxes is supposed to be run as normal user in a GNOME session. All other environments are untested and therefore not supported.
Comment 7 Paolo Leoni 2013-08-26 11:28:08 EDT
I know that. I'm only giving info on gnome boxes behaviour.
Comment 8 Fedora End Of Life 2015-01-09 14:33:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 11:52:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.